2 Replies Latest reply on Nov 28, 2008 7:21 AM by Giuseppe Borgese

    Why can not run jsf1.1 in JBoss-4.2.0.GA?

    yibo dai Newbie

      I have made a simple jsf1.1 project by use jsf-1_1_01.zip download from sun website, and deployed in JBoss-4.2.0.GA. when it run, a ClassCastException was threw, error message is as follow:

      10:18:23,342 ERROR [1]] Exception sending context initialized event to listener instance of class org.jboss.web.jsf.integration.config.JBossJSFConfigureListener
      java.lang.ClassCastException: com.sun.faces.application.ApplicationAssociate cannot be cast to com.sun.faces.application.ApplicationAssociate
      at com.sun.faces.application.ApplicationAssociate.getInstance(ApplicationAssociate.java:172)
      at com.sun.faces.config.JSFVersionTracker.publishInstanceToApplication(JSFVersionTracker.java:266)
      at com.sun.faces.config.ConfigureListener.contextInitialized(ConfigureListener.java:424)
      at org.jboss.web.jsf.integration.config.JBossJSFConfigureListener.contextInitialized(JBossJSFConfigureListener.java:69)

      Now i just want to know whether JBoss-4.2.0GA support jSF1.1 or not.